Package org.pushingpixels.substance.internal.ui

# Class SubstanceSplitPaneUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.SplitPaneUI
javax.swing.plaf.basic.BasicSplitPaneUI
org.pushingpixels.substance.internal.ui.SubstanceSplitPaneUI

public class SubstanceSplitPaneUI extends BasicSplitPaneUI
UI for split panes in Substance look and feel.

## Nested Class Summary

## Nested classes/interfaces inherited from class javax.swing.plaf.basic.BasicSplitPaneUI

`BasicSplitPaneUI.BasicHorizontalLayoutManager, BasicSplitPaneUI.BasicVerticalLayoutManager, BasicSplitPaneUI.FocusHandler, BasicSplitPaneUI.KeyboardDownRightHandler, BasicSplitPaneUI.KeyboardEndHandler, BasicSplitPaneUI.KeyboardHomeHandler, BasicSplitPaneUI.KeyboardResizeToggleHandler, BasicSplitPaneUI.KeyboardUpLeftHandler, BasicSplitPaneUI.PropertyHandler`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected PropertyChangeListener`
`substancePropertyListener`
Property change listener that listens on changes to `JSplitPane.ORIENTATION_PROPERTY` property.

### Fields inherited from class javax.swing.plaf.basic.BasicSplitPaneUI

`beginDragDividerLocation, divider, dividerResizeToggleKey, dividerSize, downKey, draggingHW, endKey, focusListener, homeKey, KEYBOARD_DIVIDER_MOVE_OFFSET, keyboardDownRightListener, keyboardEndListener, keyboardHomeListener, keyboardResizeToggleListener, keyboardUpLeftListener, layoutManager, leftKey, NON_CONTINUOUS_DIVIDER, nonContinuousLayoutDivider, propertyChangeListener, rightKey, splitPane, upKey`

## Constructor Summary

Constructors
Constructor
Description
`SubstanceSplitPaneUI()`

## Method Summary

Modifier and Type
Method
Description
`BasicSplitPaneDivider`
`createDefaultDivider()`
`static ComponentUI`
`createUI(JComponent comp)`
`protected void`
`installListeners()`
`protected void`
`uninstallListeners()`

### Methods inherited from class javax.swing.plaf.basic.BasicSplitPaneUI

`createDefaultNonContinuousLayoutDivider, createFocusListener, createKeyboardDownRightListener, createKeyboardEndListener, createKeyboardHomeListener, createKeyboardResizeToggleListener, createKeyboardUpLeftListener, createPropertyChangeListener, dragDividerTo, finishDraggingTo, finishedPaintingChildren, getDivider, getDividerBorderSize, getDividerLocation, getInsets, getLastDragLocation, getMaximumDividerLocation, getMaximumSize, getMinimumDividerLocation, getMinimumSize, getNonContinuousLayoutDivider, getOrientation, getPreferredSize, getSplitPane, installDefaults, installKeyboardActions, installUI, isContinuousLayout, paint, resetLayoutManager, resetToPreferredSizes, setContinuousLayout, setDividerLocation, setLastDragLocation, setNonContinuousLayoutDivider, setNonContinuousLayoutDivider, setOrientation, startDragging, uninstallDefaults, uninstallKeyboardActions, uninstallUI`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### substancePropertyListener

protected PropertyChangeListener substancePropertyListener
Property change listener that listens on changes to `JSplitPane.ORIENTATION_PROPERTY` property.

## Constructor Details

### SubstanceSplitPaneUI

public SubstanceSplitPaneUI()

## Method Details

### createUI

public static ComponentUI createUI(JComponent comp)

### installListeners

protected void installListeners()

Overrides:
  `installListeners` in class `BasicSplitPaneUI`

### uninstallListeners

protected void uninstallListeners()

Overrides:
  `uninstallListeners` in class `BasicSplitPaneUI`

### createDefaultDivider

public BasicSplitPaneDivider createDefaultDivider()

Overrides:
  `createDefaultDivider` in class `BasicSplitPaneUI`